- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ipadm_addr – Manage IP addresses on an interface on Solaris/illumos systems

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Create/delete static/dynamic IP addresses on network interfaces on Solaris/illumos systems.
- Up/down static/dynamic IP addresses on network interfaces on Solaris/illumos systems.
- Manage IPv6 link-local addresses on network interfaces on Solaris/illumos systems.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
address - |  | Specifiies an IP address to configure in CIDR notation. aliases: addr
addrobj - / required |  | Specifies an unique IP address on the system.
addrtype - | Choices: static ← dhcp addrconf | Specifiies a type of IP address to configure.
state - | Choices: absent present ← up down enabled disabled refreshed | Create/delete/enable/disable an IP address on the network interface.
temporary boolean | Choices: no ← yes | Specifies that the configured IP address is temporary. Temporary IP addresses do not persist across reboots.
wait - | Default: 60 | Specifies the time in seconds we wait for obtaining address via DHCP.

## Examples

    - name: Configure IP address 10.0.0.1 on e1000g0
      ipadm_addr: addr=10.0.0.1/32 addrobj=e1000g0/v4 state=present

    - name: Delete addrobj
      ipadm_addr: addrobj=e1000g0/v4 state=absent

    - name: Configure link-local IPv6 address
      ipadm_addr: addtype=addrconf addrobj=vnic0/v6

    - name: Configure address via DHCP and wait 180 seconds for address obtaining
      ipadm_addr: addrobj=vnic0/dhcp addrtype=dhcp wait=180

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
address string | only if addrtype is 'static' | IP address Sample: 1.3.3.7/32
addrobj string | always | address object name Sample: bge0/v4
addrtype string | always | address type Sample: static
state string | always | state of the target Sample: present
temporary boolean | always | specifies if operation will persist across reboots Sample: True
wait string | only if addrtype is 'dhcp' | time we wait for DHCP Sample: 10

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Adam Števko (@xen0l)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.